Results 1 to 7 of 7

Thread: Move 3D LISP

  1. #1
    Member
    Join Date
    2006-03
    Posts
    6
    Login to Give a bone
    0

    Default Move 3D LISP

    Im very new to Autolisp so can someone help me with creating simple routine. all i want to do is save time when moving objects in 3d by not typing in: move then 0,0, before the height i want to move my object. i just want a simple command to be able to click and then just type in the height so my object moves on the z axis i no this is prob dead simple to a lot of people but it will help me get started
    Thanks

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,442
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Have you seen the announcement for the current ATP class on Lisp?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    AUGI Addict
    Join Date
    2005-08
    Posts
    1,043
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Maybe something like.

    Code:
    (defun c:MoveZ (/ ss Zval)
    
    (if
     (and
      (setq ss (ssget))
      (setq Zval (getdist "\n Enter distance to move along Z axis: "))
     )
     (command "_.move" ss "" '(0.0 0.0 0.0) (list 0.0 0.0 Zval))
    )
    (princ)
    )

  4. #4
    Member
    Join Date
    2006-03
    Posts
    6
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Cheers i dont understand how but it works so thanks alot

  5. #5
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,442
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Quote Originally Posted by m.tolson
    Cheers i dont understand how but it works so thanks alot
    It checks to see if entities are selected and made into a selection set. It also asks for the distance to move.

    It then starts the move command, supplies the selection set and then moves the selection set vertically based on the distance you provide.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  6. #6
    AUGI Addict
    Join Date
    2005-08
    Posts
    1,043
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Quote Originally Posted by Opie
    It checks to see if entities are selected and made into a selection set. It also asks for the distance to move.

    It then starts the move command, supplies the selection set and then moves the selection set vertically based on the distance you provide.
    Thanks Opie.

  7. #7
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,442
    Login to Give a bone
    0

    Default Re: Move 3D LISP

    Quote Originally Posted by T.Willey
    Thanks Opie.
    You did the work. I just tried to translate it into English.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

Similar Threads

  1. LISP to move up or down
    By j.p.lackey678678 in forum AutoLISP
    Replies: 2
    Last Post: 2014-11-24, 07:25 PM
  2. Move MText at a certain Z value LISP
    By djin_fre3449006 in forum AutoLISP
    Replies: 5
    Last Post: 2013-11-28, 08:17 AM
  3. Lisp to move block along line
    By jayhay35365091 in forum AutoLISP
    Replies: 5
    Last Post: 2013-09-13, 06:01 PM
  4. LISP: move dopo di insert
    By dgomez.189897 in forum Italiano - AutoCAD / AutoCAD LT
    Replies: 1
    Last Post: 2009-03-14, 08:38 PM
  5. Move Lisp
    By lmitsou in forum AutoLISP
    Replies: 2
    Last Post: 2006-02-24, 02:56 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •